Bug 100665 - Updates Errata get their issued dates changed and out of context
Updates Errata get their issued dates changed and out of context
Status: CLOSED DUPLICATE of bug 393321
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
All Linux
medium Severity low
: ---
: ---
Assigned To: Mike Orazi
Red Hat Satellite QA List
https://rhn.redhat.com/errata/RHSA-20...
US=19266
:
Depends On:
Blocks: 428922
  Show dependency treegraph
 
Reported: 2003-07-24 01:00 EDT by Arenas Belon, Carlo Marcelo
Modified: 2008-04-08 10:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 10:04:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arenas Belon, Carlo Marcelo 2003-07-24 01:00:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
take RHSA-2002-229 as an example, that Errata was originally issued Nov 18 2002,
as all the updated packages are for that date excluding the updates for IBM
pseries and iseries that only affected the associated distribution (ppc arch)
for RedHat 7.1 and that were released Jun 26 2003.

as there is no reference to the dates each of the corresponding packages was
introduced on that errata, it actually shows as an update available for old
EOLed versions of RedHat that were part of the original errata (6.2 and 7.0), as
the historical metadata of that errata is lost while the "last updated" date is
shown.

a Changelog like metadata structure that helps identify the changed parts on
updated erratas would be required in order to clearly identify which releases of
RH are affected by each change and to avoid confusing errata reports like the
one shown on :

  https://rhn.redhat.com/errata/rh62-errata.html

where an EOLed product (6.2 was EOLed on Mar 31, 2003) shows several errata
after that date.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
as the data is probably being generated for metadata that is not taking into
consideration the different dates and the way the errata packages apply to each
release

Actual Results:  Erratas "updated" based on the "release" metadata moving on
time and getting past the EOL date

Expected Results:  no more Erratas generadated after the EOL date and old errata
kept ordered by their released date on that release

Additional info:
Comment 1 James Bowes 2008-04-08 10:04:58 EDT

*** This bug has been marked as a duplicate of 393321 ***

Note You need to log in before you can comment on or make changes to this bug.